name:                 rts
version:              1.0.2
visibility:           public
id:                   rts-1.0.2
key:                  rts-1.0.2
license:              BSD-3-Clause
maintainer:           glasgow-haskell-users@haskell.org
synopsis:             The GHC runtime system
description:
    The GHC runtime system.

    Code produced by GHC links this library to provide missing functionality
    that cannot be written in Haskell itself.

abi:                  b7a5c6aad95a5a3e4903ce2272ab85e0
exposed:              True
library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/rts-1.0.2 /usr/pkg/lib

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/rts-1.0.2 /usr/pkg/lib

dynamic-library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1 /usr/pkg/lib

data-dir:             ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/rts-1.0.2
hs-libraries:         HSrts-1.0.2
extra-libraries:      m rt ffi pthread
include-dirs:
    /usr/pkg/include
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/rts-1.0.2/include

includes:             Rts.h
ld-options:
    "-Wl,-u,ghczminternal_GHCziInternalziTopHandler_runIO_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziTopHandler_runNonIO_closure"
    "-Wl,-u,ghczmprim_GHCziTuple_Z0T_closure"
    "-Wl,-u,ghczmprim_GHCziTypes_True_closure"
    "-Wl,-u,ghczmprim_GHCziTypes_False_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziPack_unpackCString_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziWeakziFinalizze_runFinalizzerBatch_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOziException_stackOverflow_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOziException_heapOverflow_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOziException_allocationLimitExceeded_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOziException_blockedIndefinitelyOnMVar_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOziException_blockedIndefinitelyOnSTM_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOziException_cannotCompactFunction_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOziException_cannotCompactPinned_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOziException_cannotCompactMutable_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziIOPort_doubleReadException_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziControlziExceptionziBase_nonTermination_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziControlziExceptionziBase_nestedAtomically_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziEventziThread_blockedOnBadFD_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziConcziSync_runSparks_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziConcziIO_ensureIOManagerIsRunning_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziConcziIO_interruptIOManager_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziConcziIO_ioManagerCapabilitiesChanged_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziConcziSignal_runHandlersPtr_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziTopHandler_flushStdHandles_closure"
    "-Wl,-u,ghczminternal_GHCziInternalziTopHandler_runMainIO_closure"
    "-Wl,-u,ghczmprim_GHCziTypes_Czh_con_info"
    "-Wl,-u,ghczmprim_GHCziTypes_Izh_con_info"
    "-Wl,-u,ghczmprim_GHCziTypes_Fzh_con_info"
    "-Wl,-u,ghczmprim_GHCziTypes_Dzh_con_info"
    "-Wl,-u,ghczmprim_GHCziTypes_Wzh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziPtr_Ptr_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziPtr_FunPtr_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziInt_I8zh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziInt_I16zh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziInt_I32zh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziInt_I64zh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziWord_W8zh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziWord_W16zh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziWord_W32zh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziWord_W64zh_con_info"
    "-Wl,-u,ghczminternal_GHCziInternalziStable_StablePtr_con_info"
    "-Wl,-u,hs_atomic_add8" "-Wl,-u,hs_atomic_add16"
    "-Wl,-u,hs_atomic_add32" "-Wl,-u,hs_atomic_add64"
    "-Wl,-u,hs_atomic_sub8" "-Wl,-u,hs_atomic_sub16"
    "-Wl,-u,hs_atomic_sub32" "-Wl,-u,hs_atomic_sub64"
    "-Wl,-u,hs_atomic_and8" "-Wl,-u,hs_atomic_and16"
    "-Wl,-u,hs_atomic_and32" "-Wl,-u,hs_atomic_and64"
    "-Wl,-u,hs_atomic_nand8" "-Wl,-u,hs_atomic_nand16"
    "-Wl,-u,hs_atomic_nand32" "-Wl,-u,hs_atomic_nand64"
    "-Wl,-u,hs_atomic_or8" "-Wl,-u,hs_atomic_or16"
    "-Wl,-u,hs_atomic_or32" "-Wl,-u,hs_atomic_or64"
    "-Wl,-u,hs_atomic_xor8" "-Wl,-u,hs_atomic_xor16"
    "-Wl,-u,hs_atomic_xor32" "-Wl,-u,hs_atomic_xor64"
    "-Wl,-u,hs_cmpxchg8" "-Wl,-u,hs_cmpxchg16" "-Wl,-u,hs_cmpxchg32"
    "-Wl,-u,hs_cmpxchg64" "-Wl,-u,hs_xchg8" "-Wl,-u,hs_xchg16"
    "-Wl,-u,hs_xchg32" "-Wl,-u,hs_xchg64" "-Wl,-u,hs_atomicread8"
    "-Wl,-u,hs_atomicread16" "-Wl,-u,hs_atomicread32"
    "-Wl,-u,hs_atomicread64" "-Wl,-u,hs_atomicwrite8"
    "-Wl,-u,hs_atomicwrite16" "-Wl,-u,hs_atomicwrite32"
    "-Wl,-u,hs_atomicwrite64"
    "-Wl,-u,ghczminternal_GHCziInternalziStackziCloneStack_StackSnapshot_closure"
